Loading...
Searching...
No Matches
OpenMesh::PropertyCreatorImpl< PropertyCreatorT > Class Template Reference

Helper class that contains the implementation of the create_<HandleT>_property methods. More...

`#include <OpenMesh/Core/Utils/PropertyCreator.hh>`

Inheritance diagram for OpenMesh::PropertyCreatorImpl< PropertyCreatorT >:
[legend]
Collaboration diagram for OpenMesh::PropertyCreatorImpl< PropertyCreatorT >:
[legend]

## Public Member Functions

std::string | type_id_string () override
template<typename HandleT, typename PropT>
void | create_prop (BaseKernel &_mesh, const std::string &_property_name)
void | create_vertex_property (BaseKernel &_mesh, const std::string &_property_name) override
| Create a vertex property on _mesh with name _property_name.
void | create_halfedge_property (BaseKernel &_mesh, const std::string &_property_name) override
| Create a halfedge property on _mesh with name _property_name.
void | create_edge_property (BaseKernel &_mesh, const std::string &_property_name) override
| Create an edge property on _mesh with name _property_name.
void | create_face_property (BaseKernel &_mesh, const std::string &_property_name) override
| Create a face property on _mesh with name _property_name.
void | create_mesh_property (BaseKernel &_mesh, const std::string &_property_name) override
| Create a mesh property on _mesh with name _property_name.
Public Member Functions inherited from OpenMesh::PropertyCreator
virtual std::string | type_string ()=0
| The string that corresponds to the type this property creator can create.
bool | can_you_create (const std::string &_type_name)
| Returns true iff the given _type_name corresponds to the string the derived class can create a property for.
template<typename HandleT>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
| Create a property for the element of type HandleT on _mesh with name _property_name.
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)
template<>
void | create_property (BaseKernel &_mesh, const std::string &_property_name)

## Detailed Description

template<typename PropertyCreatorT>
class OpenMesh::PropertyCreatorImpl< PropertyCreatorT >

Helper class that contains the implementation of the create_<HandleT>_property methods.

Implementation is injected into PropertyCreatorT.

## Member Function Documentation

## create_edge_property()

template<typename PropertyCreatorT>

void OpenMesh::PropertyCreatorImpl< PropertyCreatorT >::create_edge_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

inline override virtual

Create an edge property on _mesh with name _property_name.

Implements OpenMesh::PropertyCreator.

## create_face_property()

template<typename PropertyCreatorT>

void OpenMesh::PropertyCreatorImpl< PropertyCreatorT >::create_face_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

inline override virtual

Create a face property on _mesh with name _property_name.

Implements OpenMesh::PropertyCreator.

## create_halfedge_property()

template<typename PropertyCreatorT>

void OpenMesh::PropertyCreatorImpl< PropertyCreatorT >::create_halfedge_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

inline override virtual

Create a halfedge property on _mesh with name _property_name.

Implements OpenMesh::PropertyCreator.

## create_mesh_property()

template<typename PropertyCreatorT>

void OpenMesh::PropertyCreatorImpl< PropertyCreatorT >::create_mesh_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

inline override virtual

Create a mesh property on _mesh with name _property_name.

Implements OpenMesh::PropertyCreator.

## create_vertex_property()

template<typename PropertyCreatorT>

void OpenMesh::PropertyCreatorImpl< PropertyCreatorT >::create_vertex_property | ( | BaseKernel & | _mesh,
|  | const std::string & | _property_name )

inline override virtual

Create a vertex property on _mesh with name _property_name.

Implements OpenMesh::PropertyCreator.

## type_id_string()

template<typename PropertyCreatorT>

std::string OpenMesh::PropertyCreatorImpl< PropertyCreatorT >::type_id_string | ( |  | ) |

inline override virtual

Implements OpenMesh::PropertyCreator.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Utils/PropertyCreator.hh